import { Component, Element, Prop, getAssetPath, h } from '@stencil/core';
export class SparkleCharacterIntro {
  constructor() {
    this.character = 'jen';
    this.position = 'right';
  }
  componentDidLoad() {
    console.log(this.character);
  }
  render() {
    return (h("div", { class: `character-phrase-block ${this.position}` },
      h("div", { class: `character-box ${this.position}` },
        h("slot", null)),
      h("div", { class: `character-image-block ${this.position}` },
        h("img", { class: "image-animation", src: getAssetPath('./assets/characters/' + this.character + '.png') }))));
  }
  static get is() { return "sparkle-character-intro"; }
  static get originalStyleUrls() { return {
    "$": ["sparkle-character-intro.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["sparkle-character-intro.css"]
  }; }
  static get assetsDirs() { return ["assets"]; }
  static get properties() { return {
    "character": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "character",
      "reflect": false,
      "defaultValue": "'jen'"
    },
    "position": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'left' | 'right'",
        "resolved": "\"left\" | \"right\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "position",
      "reflect": false,
      "defaultValue": "'right'"
    }
  }; }
  static get elementRef() { return "el"; }
}
